[package]
name = "prometheus-utils"
version = "1.0.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
clap = {version = "3.2.5", features = ["derive"]}
reqwest = "0.11.10"
serde = {version = "1.0.137", features = ["derive"]}
serde_json = "1.0.81"
prometheusutil = {path = "prometheusutil"}
weatherutil = {path = "weatherutil"}
prometheus = {version = "0.13.1", features = ["push"]}
anyhow = "1.0.57"

[[bin]]
name = "post_weather"
bench = false
path = "src/weather.rs"
